跳转到主要内容
POST
/
v1
/
images
/
generations
生成图片
curl --request POST \
  --url https://api.upmore.net/v1/images/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seedream-5-0",
  "prompt": "A serene mountain landscape at sunrise with misty valleys",
  "image": [
    "<string>"
  ],
  "sequential_image_generation_options": {
    "max_images": 123
  },
  "size": "1024x1024",
  "watermark": false,
  "seed": 123,
  "logo_info": {
    "add_logo": true,
    "position": 123,
    "language": 123,
    "opacity": 123
  }
}
'
import requests

url = "https://api.upmore.net/v1/images/generations"

payload = {
"model": "doubao-seedream-5-0",
"prompt": "A serene mountain landscape at sunrise with misty valleys",
"image": ["<string>"],
"sequential_image_generation_options": { "max_images": 123 },
"size": "1024x1024",
"watermark": False,
"seed": 123,
"logo_info": {
"add_logo": True,
"position": 123,
"language": 123,
"opacity": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedream-5-0',
prompt: 'A serene mountain landscape at sunrise with misty valleys',
image: ['<string>'],
sequential_image_generation_options: {max_images: 123},
size: '1024x1024',
watermark: false,
seed: 123,
logo_info: {add_logo: true, position: 123, language: 123, opacity: 123}
})
};

fetch('https://api.upmore.net/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created": 123,
  "data": [
    {
      "url": "<string>",
      "b64_json": "<string>"
    }
  ]
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>"
}
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
enum<string>
必填

使用的图片生成模型。

可用选项:
doubao-seedream-5-0,
doubao-seedream-5-0-pro
示例:

"doubao-seedream-5-0"

prompt
string
必填

图片生成的文本提示词。

示例:

"A serene mountain landscape at sunrise with misty valleys"

image
string[]

图生图的参考图 URL 数组。

sequential_image_generation
enum<string>

设为 auto 开启组图生成。

可用选项:
auto,
disabled
sequential_image_generation_options
object

组图生成选项。

size
string
默认值:1024x1024

输出图片尺寸,如 1024x1024、2K。

示例:

"1024x1024"

watermark
boolean
默认值:false

输出图片添加水印。

seed
integer

随机种子,用于复现结果。

logo_info
object

Logo 叠加配置。

响应

生成成功

created
integer

生成时间戳(Unix 秒)。

data
object[]